> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 重置密码

> 使用邮件中的令牌设置新密码。

## POST /auth/reset-password

使用发送到用户邮箱的重置令牌为新密码赋值。

### 请求体

<ParamField body="token" type="string" required>
  邮件中的密码重置令牌。
</ParamField>

<ParamField body="newPassword" type="string" required>
  新密码，至少 8 位。
</ParamField>

### 响应

<ResponseField name="success" type="boolean">
  密码是否已成功重置。
</ResponseField>

<ResponseField name="message" type="string">
  确认信息。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.llmgenerator.com/api/v1/auth/reset-password \
    -H "Content-Type: application/json" \
    -d '{
          "token": "PASSWORD_RESET_TOKEN",
          "newPassword": "newSecurePassword123"
        }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "message": "Password has been reset successfully."
  }
  ```
</ResponseExample>
